Ubuntu

File Roller 2.24 (in Main) depends on P7Zip but P7Zip is still in Universe repository

Reported by Exsecrabilus on 2008-10-12
6
Affects Status Importance Assigned to Milestone
file-roller (Ubuntu)
Undecided
Unassigned
p7zip (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: p7zip

This needs to be fixed. File Roller 2.24 uses P7Zip to support four new file types, but while File Roller is in Main, P7Zip is in Universe! Does this make sense?

Please promote package p7zip to Main. Thanks.

Related branches

Steve Langasek (vorlon) wrote :

This bug is missing most of the information required by <https://wiki.ubuntu.com/MainInclusionProcess>, marking as incomplete.

I also wonder if it isn't better to revert this dependency on p7zip, nothing else in main uses it whereas other packages /do/ use unzip/zip directly (the dependencies that p7zip replaced). It would save CD space to avoid pulling this in if we don't really need it.

Changed in p7zip:
status: New → Incomplete

Steve Langasek [2008-12-02 19:13 -0000]:
> I also wonder if it isn't better to revert this dependency on p7zip,

+1 from me. p7 is an utterly unusual compression format.

Loïc Minier (lool) wrote :

(I was wondering on IRC whether p7zip could simply provide zip/unzip functionality: more functionalities, less size, everybody wins!)

Alexander Sack (asac) wrote :

On Wed, Dec 03, 2008 at 10:19:07AM -0000, Loïc Minier wrote:
> (I was wondering on IRC whether p7zip could simply provide zip/unzip
> functionality: more functionalities, less size, everybody wins!)
>

afaik p7zip support almost all compression formats. this includes zip,
but also rar and stuff. the amount of formats supported should be more
or less the same like its windows father 7-zip.

 - Alexander

Martin Pitt (pitti) wrote :

But those are only provided by p7zip-full, which is another 1.2 MB.

Alexander Sack (asac) wrote :

On Thu, Dec 04, 2008 at 07:19:42PM -0000, Martin Pitt wrote:
> But those are only provided by p7zip-full, which is another 1.2 MB.
>

Then keep it out. As long as file-roller is flexible enough to support
7-zip once p7zip is installed, I am fine with it.

 - Alexander

Steve Langasek (vorlon) wrote :

I'm uploading file-roller with the attached patch, removing the need for p7zip to be promoted to main.

Changed in p7zip:
status: Incomplete → Won't Fix
Changed in file-roller:
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package file-roller - 2.24.1-1ubuntu2

---------------
file-roller (2.24.1-1ubuntu2) jaunty; urgency=low

  * Switch back from p7zip to unzip+zip; p7zip only provides zip support
    in the p7zip-full variant, which is significantly larger than
    unzip+zip combined, so we don't want to pull this onto the CDs (or
    into main). LP: #282294.

 -- Steve Langasek <email address hidden> Tue, 16 Dec 2008 21:10:58 +0000

Changed in file-roller:
status: Triaged → Fix Released
Steve Langasek (vorlon) on 2008-12-16
Changed in file-roller:
milestone: none → jaunty-alpha-2
status: Fix Released → Triaged
Steve Langasek (vorlon) on 2008-12-16
Changed in file-roller:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers